Debian Bug report logs - #400442
libXi: Various Display locking correctness issues

version graph

Package: libxi6; Maintainer for libxi6 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libxi6 is src:libxi.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sun, 26 Nov 2006 10:18:06 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in version libxi/1:1.0.1-3

Fixed in version libxi/1:1.0.1-4

Done: Jamey Sharp <sharpone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#400442; Package libxi6. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: submit@bugs.debian.org
Subject: libXi: Various Display locking correctness issues
Date: Sun, 26 Nov 2006 02:08:28 -0800
[Message part 1 (text/plain, inline)]
Package: libxi6
Version: 1:1.0.1-3
Severity: important
Tags: upstream fixed-upstream patch

libXi has various Display locking correctness issues.  These issues could lead
to deadlocks in Xlib; they trigger locking correctness assertions in libx11
1.1 with Xlib/XCB in experimental, and will become RC after the etch release
when libX11 1.1 enters unstable.

Upstream patches:

Failing to drop the lock in error case:
http://gitweb.freedesktop.org/?p=xorg/lib/libXi.git;a=commitdiff_plain;h=60dccd9a7be95e35b4b8c90934888efedfde84cc

Two cases of locking while locked:
http://gitweb.freedesktop.org/?p=xorg/lib/libXi.git;a=commitdiff_plain;h=c27e00ceceed3fea011c98c0e70ab568bf0687c6
http://gitweb.freedesktop.org/?p=xorg/lib/libXi.git;a=commitdiff_plain;h=5dda1e1509d40ef64ebc816ce538cef462a4fa51

- Josh Triplett

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Jamey Sharp <sharpone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 400442-close@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: 400442-close@bugs.debian.org
Subject: Bug#400442: fixed in libxi 1:1.0.1-4
Date: Tue, 28 Nov 2006 01:02:18 +0000
Source: libxi
Source-Version: 1:1.0.1-4

We believe that the bug you reported is fixed in the latest version of
libxi, which is due to be installed in the Debian FTP archive:

libxi-dev_1.0.1-4_i386.deb
  to pool/main/libx/libxi/libxi-dev_1.0.1-4_i386.deb
libxi6-dbg_1.0.1-4_i386.deb
  to pool/main/libx/libxi/libxi6-dbg_1.0.1-4_i386.deb
libxi6_1.0.1-4_i386.deb
  to pool/main/libx/libxi/libxi6_1.0.1-4_i386.deb
libxi_1.0.1-4.diff.gz
  to pool/main/libx/libxi/libxi_1.0.1-4.diff.gz
libxi_1.0.1-4.dsc
  to pool/main/libx/libxi/libxi_1.0.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400442@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamey Sharp <sharpone@debian.org> (supplier of updated libxi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 27 Nov 2006 15:07:34 -0800
Source: libxi
Binary: libxi-dev libxi6-dbg libxi6
Architecture: source i386
Version: 1:1.0.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Jamey Sharp <sharpone@debian.org>
Description: 
 libxi-dev  - X11 Input extension library (development headers)
 libxi6     - X11 Input extension library
 libxi6-dbg - X11 Input extension library (debug package)
Closes: 400442
Changes: 
 libxi (1:1.0.1-4) unstable; urgency=low
 .
   * libXi: Various Display locking correctness issues (Closes: #400442)
   * Add Josh and myself to Uploaders.
Files: 
 e9535eac592712d3bdc8576acc34645b 942 x11 optional libxi_1.0.1-4.dsc
 003dd41197f173aaf13793bcb2b02e13 93079 x11 optional libxi_1.0.1-4.diff.gz
 8b097ea35dbc3c7a1fbaad1ad55f27f7 16678 x11 optional libxi6_1.0.1-4_i386.deb
 46a8246f9fda5ca7fb91bd3343fc8846 198500 x11 extra libxi6-dbg_1.0.1-4_i386.deb
 761f911d499b59cdf6d85030fe9cdc9e 62244 x11 optional libxi-dev_1.0.1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFa3Hjp1aplQ4I9mURAtu6AJ0WeFTPlbtIr5aVD8kqucKrkwOkSQCfUN3e
dMNQ38+pzR1PpYeccjYwFxs=
=Oi/i
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 09:25:52 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:21:48 GMT) Full text and rfc822 format available.

Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:21:48 GMT) Full text and rfc822 format available.

Bug archived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:21:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:13:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.